> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# appointmentcautionwarning

> Appointment.CautionWarning. Appointment and invitation synchronization info

## "appointmentcautionwarning" MDO List

Appointment.CautionWarning. Appointment and invitation synchronization info

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AppointmentCautionWarningProvider">AppointmentCautionWarningProvider</see> class.
The name of the MDO list is 'appointmentcautionwarning'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/appointmentcautionwarning
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("appointmentcautionwarning", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                                  | StyleHint | ExtraInfo |
| -- | ----------------------------------------------------- | --------- | --------- |
| 0  | OK                                                    |           |           |
| 1  | Not in sync                                           |           |           |
| 2  | Not notified by e-mail                                |           |           |
| 3  | Repeating pattern not supported                       |           |           |
| 4  | This change of the repeating pattern is not supported |           |           |
| 5  | Date/time mismatch                                    |           |           |

## Related MDO Lists

* "appointmentcautionwarningheadings"
* "appointmentcautionwarningheadingswithallitem"
* "appointmentcautionwarningheadingswithallitemwithnoselection"
* "appointmentcautionwarningheadingswithnoselection"
* "appointmentcautionwarningwithallitem"
* "appointmentcautionwarningwithallitemwithnoselection"
* "appointmentcautionwarningwithnoselection"


## Related topics

- [Enum AppointmentCautionWarning](/en/automation/crmscript/reference/CRMScript.NetServer.AppointmentCautionWarning.md)
- [Enum values for AppointmentCautionWarning](/en/database/tables/enums/appointmentcautionwarning.md)
- [SuperOffice.WebApi.Data.AppointmentCautionWarning](/en/api/reference/webapi/SuperOffice.WebApi.Data.AppointmentCautionWarning.md)
- [Namespace CRMScript.NetServer](/en/automation/crmscript/reference/CRMScript.NetServer.md)
- [SuperOffice.WebApi.Data.AppointmentEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.AppointmentEntity.md)
- [SuperOffice.WebApi.Data.Appointment](/en/api/reference/webapi/SuperOffice.WebApi.Data.Appointment.md)
